Bug 125170 - CAN-2004-0535 e100e1000 kernel memory leak (x86)
Summary: CAN-2004-0535 e100e1000 kernel memory leak (x86)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-03 12:40 UTC by Mark J. Cox
Modified: 2013-07-03 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 21:48:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:418 high SHIPPED_LIVE Important: kernel security update 2004-08-03 04:00:00 UTC

Description Mark J. Cox 2004-06-03 12:40:26 UTC
According to
http://www.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.27.log a
recent kernel fix was applied "e1000: fix probable security hole".

This issue in fact is a minor information leak via the e1000 driver
that can reveal 24 bytes of kernel memory to users (if e1000 driver is
loaded)

RHEL 2.1 is possibly vulnerable to this issue via the backported
driver added

No CVE name yet available
See Bug #125168 for a patch (will need to be backported)

Comment 1 Mark J. Cox 2004-06-04 08:01:07 UTC
CAN-2004-0535

Comment 4 John W. Linville 2004-07-30 20:17:04 UTC
This is covered by e1000 update in RHEL2.1 U5...

Comment 5 Mark J. Cox 2004-07-31 17:33:41 UTC
Reopening, needs to stay open until the release is actually shipped.

Comment 6 Mark J. Cox 2004-08-03 21:48:14 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-418.html



Note You need to log in before you can comment on or make changes to this bug.